import { jsx } from "react/jsx-runtime";
import { GrainsSlashIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GrainsSlash = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "GrainsSlash", ...props, children: /* @__PURE__ */ jsx(GrainsSlashIcon, { weight: variant }) });
  }
);
GrainsSlash.displayName = "GrainsSlash";
Object.assign(GrainsSlash, { isGdsIcon: true });
export {
  GrainsSlash
};
